# class AmebaLS::DiagnosticsFormatter

- AmebaLS::DiagnosticsFormatter
- Ameba::Formatter::BaseFormatter
- Reference
- Object

##
Defined in:

ameba-ls/ameba/diagnostics_formatter.cr

##
Instance Method Summary

- #cancellation_token : CancellationToken | Nil
- #cancellation_token=(cancellation_token : CancellationToken | Nil)
- #diagnostics : Array(AmebaLS::IssueDiagnostic)
- #source_finished(source : Ameba::Source) : Nil

  Callback that indicates when source inspection is finished.

##
Instance Method Detail

def cancellation_token : CancellationToken | Nil #
def cancellation_token=(cancellation_token : CancellationToken | Nil) #
def diagnostics : Array(AmebaLS::IssueDiagnostic) #
def source_finished(source : Ameba::Source) : Nil #
Description copied from class Ameba::Formatter::BaseFormatter

Callback that indicates when source inspection is finished. A corresponding source is passed as an argument.

WARNING This method needs to be MT safe